You are here

GIMP 2.8 & plugins and scripts

Downloaded and installed GIMP 2.8. When run I get error messages about and lose over 20 plugins. Not all are very important to me but the following I use regularly. Have any been ported to 2.8?
wavelet-sharpen
wavelet-denoise
upsize
pspi
GREYCstoration
GIMIC
exif=-browser

Forums: 

The error message for ALL lost plugins states "procedure entry point gzdirect could not be located in zlib1.dll"
zlib1.dll is present in my download directories of both GIMP 2.6 and 2.8. Hope this helps solve my problem.

That should fix your problem.Gimp sees two and doesn't use any.

In fact most of your problems with plug-ins come from dll files.
Remove all the dll files from the UserFolder\.gimp-2.8\plug-ins folder and restart gimp-2.8.
Gimp will tell you which dll files it needs to run each execute it initializes.

Here is a link to a zip with all working Plugins with dll's that work in Gimp-2.8
I also added the SCM files to another download zip.
Download for plug-ins - http://www.gimpchat.com/viewtopic.php?f=9&t=4216
Download for scripts (SCM) - http://www.gimpchat.com/viewtopic.php?f=9&t=4217

-Rod

All work again

reviving an old thread in case anyone else runs into this problem. the backup utility idrive incorrectly installs a zlib1.dll into windows\system32, which conflicts with gimp.

since i still need idrive, i worked around the problem by doing just this - i copied gimp's zlib1.dll from the bin dir to the lib\gimp\2.0\plug-ins dir. not optimal, but the easiest workaround for now...

Worth a try:

move the zlib1.dll from system32 to the idrive program directory. And send the idrive developers a mail to do this by default.

Subscribe to Comments for "GIMP 2.8 & plugins and scripts"